Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.query.base
Class ArithmeticCondition

    java.lang.Object
      com.ibm.websphere.query.base.ArithmeticCondition

All Implemented Interfaces:
  IArithmeticCondition, IFunctionElement, ILeftOperand, IRightOperand, IStringBuilder, java.io.Serializable

    public class ArithmeticCondition

extends java.lang.Object
implements IArithmeticCondition

The ArithmeticCondition class represents an arithmetic Operation in the query framework. It can be used in a predicate.

This class contains an arithmetic operation and a vector of elements in which to perform that operation on.

See Also:
  Serialized Form

Constructor Summary
`ArithmeticCondition()` Constructor for ArithmeticCondition

Method Summary
`void` | `addArithmeticConditionElement(ILeftOperand newArithmeticConditionElement)`
`void` | `addArithmeticConditionElements(ILeftOperand[] newArithmeticConditionElements)`
`java.lang.String` | `buildString(ISelectQueryCallback builder)` Builds a query string using the given builder callback.
`void` | `buildString(ISelectQueryCallback builder, java.lang.StringBuffer sb)`
`boolean` | `equals(java.lang.Object o)` Tests for equality with the given object.
`ILeftOperand[]` | `getArithmeticConditionElements()` Returns the Elements of the Arithmetic Condition
`java.lang.String` | `getArithmeticOperation()` Returns the Arithmetic Operation(+,-,*,/)
`int` | `getDataType()` Returns the data type of the value.
`void` | `setArithmeticConditionElements(ILeftOperand[] newArithmeticConditionElements)` Sets the arithmeticConditionElements
`void` | `setArithmeticOperation(java.lang.String arithmeticOperation)` Sets the arithmeticOperation

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArithmeticCondition

    public ArithmeticCondition()

  Constructor for ArithmeticCondition

Method Detail

### buildString

    public java.lang.String buildString(ISelectQueryCallback builder)
                                 throws QueryException

  Description copied from interface: `IStringBuilder`
  Builds a query string using the given builder callback.

  Specified by:
    `buildString` in interface `IStringBuilder`
  Throws:
    `QueryException`
  See Also:
    `IStringBuilder#buildString(ISelectQueryCallback2)`

### buildString

    public void buildString(ISelectQueryCallback builder,
                            java.lang.StringBuffer sb)
                     throws QueryException

  Specified by:
    `buildString` in interface `IStringBuilder`
  Throws:
    `QueryException`

### getArithmeticConditionElements

    public ILeftOperand[] getArithmeticConditionElements()

  Description copied from interface: `IArithmeticCondition`
  Returns the Elements of the Arithmetic Condition

  Specified by:
    `getArithmeticConditionElements` in interface `IArithmeticCondition`
  See Also:
    `IArithmeticCondition.getArithmeticConditionElements()`

### getArithmeticOperation

    public java.lang.String getArithmeticOperation()

  Description copied from interface: `IArithmeticCondition`
  Returns the Arithmetic Operation(+,-,*,/)

  Specified by:
    `getArithmeticOperation` in interface `IArithmeticCondition`
  See Also:
    `IArithmeticCondition.getArithmeticOperation()`

### equals

    public boolean equals(java.lang.Object o)

  Tests for equality with the given object.

  Overrides:
    `equals` in class `java.lang.Object`

### setArithmeticOperation

    public void setArithmeticOperation(java.lang.String arithmeticOperation)

  Sets the arithmeticOperation

  Parameters:
    `arithmeticOperation` - The arithmeticOperation to set

### setArithmeticConditionElements

    public void setArithmeticConditionElements(ILeftOperand[] newArithmeticConditionElements)

  Sets the arithmeticConditionElements

  Parameters:
    `arithmeticConditionElements` - The arithmeticConditionElements to set

### addArithmeticConditionElement

    public void addArithmeticConditionElement(ILeftOperand newArithmeticConditionElement)

### addArithmeticConditionElements

    public void addArithmeticConditionElements(ILeftOperand[] newArithmeticConditionElements)

### getDataType

    public int getDataType()

  Description copied from interface: `ILeftOperand`
  Returns the data type of the value.

  Specified by:
    `getDataType` in interface `IFunctionElement`
  Specified by:
    `getDataType` in interface `ILeftOperand`
  See Also:
    `ILeftOperand.getDataType()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD